Subject: Re: [RFC/PATCH 3/2] stash: show combined diff with "stash show"

From: Jeff King <[email-masked]>
Date: Wed, 30 Jul 2014 20:17:46 -0400

On Tue, Jul 29, 2014 at 11:13:37AM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > ... People might be doing things like "git stash show | git
> > apply", and would want to ignore the index content ...
> 
> FWIW, that is exactly how I use "git stash show -p" most of the time.

Like I said, I'm iffy on this part of the series for that reason. But
I'm curious: what do you think should happen in such a use case when
there are staged contents in the index? Right now we completely ignore
them.

-Peff